Override branding and customization settings for a specific site space
Applies customization overrides to a specific site space, such as a language variant or content version, that take precedence over the site-level settings. Only provided fields are overridden; set a field to null to clear its override and fall back to the site-level value.
A unique entity identifier
^[a-zA-Z0-9_-]+$The unique id of the site
The unique id of the site-space relationship
The settings that overrides the site customization settings.
Title to use for the published site variant. If not defined, the title will not be changed. If set to null, the title will be unset and will fallback to the content title.
The favicon to use. Set to null to reset the override.
OK
Title to use for the published site. If not defined, it'll fallback to the default content title.
When the customization settings were updated. If missing, customization was not updated.
Bad Request
PATCH /v1/orgs/{organizationId}/sites/{siteId}/site-spaces/{siteSpaceId}/customization HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2059
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"styling": {
"theme": "clean",
"primaryColor": {
"light": "text",
"dark": "text"
},
"infoColor": {
"light": "text",
"dark": "text"
},
"successColor": {
"light": "text",
"dark": "text"
},
"warningColor": {
"light": "text",
"dark": "text"
},
"dangerColor": {
"light": "text",
"dark": "text"
},
"tint": {
"color": {
"light": "text",
"dark": "text"
}
},
"corners": "straight",
"depth": "subtle",
"links": "default",
"icons": "regular",
"sidebar": {
"background": "default",
"list": "default"
},
"search": "prominent",
"codeTheme": {
"default": {
"light": "default-light",
"dark": "default-light"
},
"openapi": {
"light": "default-light",
"dark": "default-light"
}
}
},
"favicon": {
"icon": {
"light": "https://example.com",
"dark": "https://example.com"
}
},
"announcement": {
"enabled": true,
"message": "text",
"localizedMessage": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"link": {
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
},
"style": "info"
},
"header": {
"logo": {
"light": "https://example.com",
"dark": "https://example.com"
},
"primaryLink": {
"kind": "file",
"file": "text",
"space": "text"
},
"backgroundColor": {
"light": "text",
"dark": "text"
},
"linkColor": {
"light": "text",
"dark": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"style": "link",
"to": {
"kind": "file",
"file": "text",
"space": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
}
],
"condition": "text"
}
]
},
"footer": {
"logo": {
"light": "https://example.com",
"dark": "https://example.com"
},
"groups": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
}
]
}
],
"copyright": null
},
"themes": {
"default": "light",
"toggeable": null
},
"feedback": {
"enabled": null
},
"externalLinks": {
"target": "self"
},
"pagination": {
"enabled": null
},
"trademark": {
"enabled": null
},
"privacyPolicy": {
"url": "https://example.com"
},
"socialPreview": {
"url": "https://example.com"
}
}{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"styling": {
"theme": "clean",
"primaryColor": {
"light": "text",
"dark": "text"
},
"tint": {
"color": {
"light": "text",
"dark": "text"
}
},
"infoColor": {
"light": "text",
"dark": "text"
},
"successColor": {
"light": "text",
"dark": "text"
},
"warningColor": {
"light": "text",
"dark": "text"
},
"dangerColor": {
"light": "text",
"dark": "text"
},
"corners": "straight",
"depth": "subtle",
"links": "default",
"font": "ABCFavorit",
"headingFont": "ABCFavorit",
"monospaceFont": "FiraCode",
"icons": "regular",
"codeTheme": {
"default": {
"light": "default-light",
"dark": "default-light"
},
"openapi": {
"light": "default-light",
"dark": "default-light"
}
},
"sidebar": {
"background": "default",
"list": "default"
},
"search": "prominent"
},
"favicon": {
"icon": {
"light": "https://example.com",
"dark": "https://example.com"
}
},
"header": {
"logo": {
"light": "https://example.com",
"dark": "https://example.com"
},
"primaryLink": {
"kind": "file",
"file": "text",
"space": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"style": "link",
"to": {
"kind": "file",
"file": "text",
"space": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
}
],
"condition": "text"
}
]
},
"footer": {
"logo": {
"light": "https://example.com",
"dark": "https://example.com"
},
"groups": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"links": [
{
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
}
]
}
],
"copyright": "text"
},
"announcement": {
"enabled": true,
"message": "text",
"localizedMessage": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"link": {
"title": "text",
"localizedTitle": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"to": {
"kind": "file",
"file": "text",
"space": "text"
}
},
"style": "info"
},
"themes": {
"default": "light",
"toggeable": true
},
"feedback": {
"enabled": true
},
"ai": {
"mode": "none",
"greeting": "text",
"localizedGreeting": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"suggestions": [
"text"
],
"instructions": "text"
},
"advancedCustomization": {
"enabled": true
},
"pageActions": {
"items": [
"assistant"
]
},
"externalLinks": {
"target": "self"
},
"pagination": {
"enabled": true
},
"trademark": {
"enabled": true
},
"privacyPolicy": {
"url": "https://example.com"
},
"socialPreview": {
"url": "https://example.com"
},
"socialAccounts": [
{
"platform": "twitter",
"handle": "text",
"display": {
"footer": true,
"header": false
}
}
],
"insights": {
"trackingCookie": true
},
"updatedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?